/*
   libbd.h - Declarations of board APIs for Little C
*/

#ifndef _LIBBD_H
#define _LIBBD_H

/* Wrappers for board APIs */
int bd_btn(void);
int bd_in(void);
int bd_init(void);
int bd_led(void);
int bd_out(void);
int bd_setin(void);
int bd_setout(void);
int bd_timer(void);

/* Internal funtion table */
#define INTERN_FUNC_TABLE {"getche", call_getche}, \
    {"putch", call_putch}, \
    {"puts", call_puts}, \
    {"print", print}, \
    {"getnum", getnum}, \
    {"sleep", call_sleep}, \
    {"bd_btn", bd_btn}, \
    {"bd_led", bd_led}, \
    {"bd_timer", bd_timer},

#endif /* _LIBBD_H */
